<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<title>The Streaming Recorder</title>
<style type="text/css">
	@import url(style.css);
</style>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/swfobject/2.2/swfobject.js"></script>

<script type="text/javascript">
	var thisFile="<?= $_GET["ID"]; ?>";
	var thisWebServer="http://denniehoopingarner.com/streamingrecorder/img/";
	var recordingLength = 0;
	
	window.onload = function(){
		var flashvars = {};
		flashvars.WebServer=thisWebServer;
		flashvars.Red5Server="rtmp://ec2-23-22-50-31.compute-1.amazonaws.com";
		flashvars.Red5Application="streamingrecorder";
		flashvars.SavePath="saved";
		flashvars.LicenseKey="bfa35d124a6ecd09bed5c75d1a1add51";
		flashvars.FileName=thisFile;
		
		var parameters = {};
		var attributes = {};
		attributes.name="streamingrecorder";
		attributes.id="streamingrecorder";
		
		swfobject.embedSWF("streamingplayer.swf?ID="+Math.random(),"recorderDIV","1","1","11.1", "expressInstall.swf", flashvars, parameters, attributes);
		
		$("#waveformIMG").attr("src",thisWebServer+thisFile+".png");
	}

	function sendCmd(x){
		document.getElementById("statusText").innerHTML = x;
		switch(x){
			case "stop":
				document.getElementById("streamingrecorder").sendStop();
				break;
			case "play":
				document.getElementById("streamingrecorder").sendPlay();
				break;
		}
	}
	function sr_length(x){
		recordingLength=x;
	}
	function sr_time(x){
		$("#timeDIV").html(formatTime(x) + "/" + formatTime(recordingLength));
	}
	function sr_progress(x){
		$("#progressBar").css("width",x*5);
	}
	function sr_msg(x){
		$("#msgDIV").html(x);
	}

	function formatTime(x){
		var zero = "0";
		// Convert milliseconds to seconds
		// Calculate the minutes
		var tempMinutes = Math.floor(x / 60);
		// Calculate the seconds
		var tempSeconds = x - (tempMinutes * 60);
		// Add a zero buffer to single-digit values
		var myMinutes = (tempMinutes < 10) ? zero + tempMinutes : tempMinutes
		var mySeconds = (tempSeconds < 10) ? zero + Math.floor(tempSeconds) : Math.floor(tempSeconds);
		return myMinutes + ":" + mySeconds;
	}


</script>
</head>
 
<body>

<h3>Audio Player for the <a href="http://streamingrecorder.denniehoopingarner.com">Streaming Recorder</a></h3>

<p>
It should go without saying that this is a <em><strong>very</strong></em> basic interface. 
The purpose of this demonstration is to show how HTML and Javascript can control the player.
</p>
<p>
With HTML skills, you can make the interface as fancy as you need it to be.
</p>



<div id="recorderDIV">...</div>
<fieldset style="width: 500px;">
	<legend>HTML Interface</legend>
	
	<div style="position: relative; width: 500px; height: 100px; border: 1px solid blue; background: black">
		<div id="progressBar" style="position: absolute: top: 0px; left: 0px; width: 0; height: 100px; top: 1px; background: #666666;"></div>
		<div style="position: absolute; top: 0px; left: 0px;"><img id="waveformIMG"/></div>
	</div>
	
	<p>
		<input type="button" value="seek to 50%" onclick="document.getElementById('streamingrecorder').sendSeek(50)"/>
	</p>
	<p>
		<input type="button" value="stop" onclick="sendCmd('stop')"/>
		<input type="button" value="play" onclick="sendCmd('play')"/>
	</p>
	
	
	<div  style="clear: both;" id="timeDIV">--:--</div>

	<div id="msgDIV">...</div>
	
	<div id="imgDIV">
		
	</div>

</fieldset>
<div id="statusText">...</div>

<p>Want to see what the player looks like with the Flash interface?</p>
<a href='player.php?ID=<?= $_GET["ID"]; ?>' target='_blank'>player.php?ID=<?= $_GET["ID"]; ?></a>

</body>
</html>
