<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<title>The Streaming Recorder</title>
<style type="text/css">
	@import url(style.css);
</style>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/swfobject/2.2/swfobject.js"></script>

<script type="text/javascript">
	var thisFile="<?= $_GET["ID"]; ?>";
	var thisWebServer="http://denniehoopingarner.com/streamingrecorder/img/";
	var recordingLength = 0;
	
	window.onload = function(){
		var flashvars = {};
		flashvars.WebServer=thisWebServer;
		flashvars.Red5Server="rtmp://ec2-23-22-50-31.compute-1.amazonaws.com";
		flashvars.Red5Application="streamingrecorder";
		flashvars.LicenseKey="bfa35d124a6ecd09bed5c75d1a1add51";
		flashvars.SavePath="saved";
		flashvars.FileName=thisFile;
		
		var parameters = {};
		var attributes = {};
		attributes.name="streamingrecorder";
		attributes.id="streamingrecorder";
		
		swfobject.embedSWF("streamingplayer.swf?ID="+Math.random(),"recorderDIV","500","200","11.1", "expressInstall.swf", flashvars, parameters, attributes);
		
		$("#waveformIMG").attr("src",thisWebServer+thisFile+".png");
	}

	function sendCmd(x){
		document.getElementById("statusText").innerHTML = x;
		switch(x){
			case "stop":
				document.getElementById("streamingrecorder").sendStop();
				break;
			case "play":
				document.getElementById("streamingrecorder").sendPlay();
				break;
		}
	}
	function sr_length(x){
		recordingLength=x;
	}
	function sr_time(x){
		$("#timeDIV").html(formatTime(x) + "/" + formatTime(recordingLength));
	}
	function sr_progress(x){
		$("#progressBar").css("width",x*5);
	}
	function sr_msg(x){
		$("#msgDIV").html(x);
	}

	function formatTime(x){
		var zero = "0";
		// Convert milliseconds to seconds
		// Calculate the minutes
		var tempMinutes = Math.floor(x / 60);
		// Calculate the seconds
		var tempSeconds = x - (tempMinutes * 60);
		// Add a zero buffer to single-digit values
		var myMinutes = (tempMinutes < 10) ? zero + tempMinutes : tempMinutes
		var mySeconds = (tempSeconds < 10) ? zero + Math.floor(tempSeconds) : Math.floor(tempSeconds);
		return myMinutes + ":" + mySeconds;
	}


</script>
</head>
 
<body>

<h3>Audio Player for the <a href="http://streamingrecorder.denniehoopingarner.com">Streaming Recorder</a></h3>

<div id="recorderDIV">...</div>

<p>The player is very utilitarian by design.</p>
<p>Want to see what the player looks like with a HTML interface?</p>
<a href='htmlplayer.php?ID=<?= $_GET["ID"]; ?>' target='_blank'>htmlplayer.php?ID=<?= $_GET["ID"]; ?></a>


<div id="statusText">...</div>
</body>
</html>
